﻿function centerWindow(center_window)
    local screenW,screenH=guiGetScreenSize()
    local windowW,windowH=guiGetSize(center_window,false)
    local x,y = (screenW-windowW)/2,(screenH-windowH)/2
    guiSetPosition(center_window,x,y,false)
end

GUIEditor_Label = {}

wnd = guiCreateWindow(142,53,538,509,"Панель ДПС",false)
grid = guiCreateGridList(9,24,246,437,false,wnd)
guiGridListSetSelectionMode(grid,1)

guiGridListAddColumn(grid,"Игроки ...",0.9)
ref = guiCreateButton(9,464,245,36,"Обновить список игроков",false,wnd)
GUIEditor_Label[1] = guiCreateLabel(259,25,272,20,"Информация выбранного игрока:",false,wnd)
guiLabelSetColor(GUIEditor_Label[1],255,0,0)
guiSetFont(GUIEditor_Label[1],"default-bold-small")
n = guiCreateLabel(259,43,272,20,"Ник: -",false,wnd)
guiLabelSetColor(n,255,255,0)
guiSetFont(n,"default-bold-small")
m = guiCreateLabel(259,60,272,20,"Деньги: -",false,wnd)
guiLabelSetColor(m,255,255,0)
guiSetFont(m,"default-bold-small")
p = guiCreateLabel(259,77,272,20,"Пинг: -",false,wnd)
guiLabelSetColor(p,255,255,0)
guiSetFont(p,"default-bold-small")
i = guiCreateLabel(259,95,272,20,"Сумма выписаных штрафов: -",false,wnd)
guiLabelSetColor(i,255,255,0)
guiSetFont(i,"default-bold-small")
GUIEditor_Label[2] = guiCreateLabel(259,132,272,20,"Контроль над игроком:",false,wnd)
guiLabelSetColor(GUIEditor_Label[2],255,0,0)
guiSetFont(GUIEditor_Label[2],"default-bold-small")
kill = guiCreateButton(258,153,271,20,"Убить",false,wnd)
des = guiCreateButton(258,175,271,20,"Наложить арест на авто",false,wnd)
stop = guiCreateButton(258,197,271,20,"Попросить остановиться",false,wnd)
cuffs = guiCreateButton(258,219,271,20,"Одеть/Снять наручники",false,wnd)
tojail = guiCreateButton(258,241,201,20,"Посадить в тюрьму",false,wnd)
setElementData(tojail,"tojail",true)
tojailtime = guiCreateEdit(465,241,70,20,"Срок",false,wnd)
jailreason = guiCreateEdit(258,264,271,30,"Причина",false,wnd)
guiEditSetMaxLength(tojailtime,4)
guiSetEnabled(kill,false)
guiSetEnabled(des,false)
guiSetEnabled(stop,false)
guiSetEnabled(cuffs,false)
guiSetEnabled(tojail,false)
GUIEditor_Label[3] = guiCreateLabel(259,295,272,20,"Система нарушений :-",false,wnd)
guiLabelSetColor(GUIEditor_Label[3],255,0,0)
guiSetFont(GUIEditor_Label[3],"default-bold-small")
GUIEditor_Label[4] = guiCreateLabel(259,310,45,20,"Сумма:",false,wnd)
GUIEditor_Label[6] = guiCreateLabel(260,367,80,50,"Причина:",false,wnd)
jailEditBox = guiCreateEdit( 0.5, 0.75, 0.495, 0.07, " ", true,wnd )
guiLabelSetColor(GUIEditor_Label[4],0,255,0)
guiSetFont(GUIEditor_Label[4],"default-bold-small")
im = guiCreateEdit(273,327,256,31,"",false,wnd)
guiEditSetMaxLength(im,4)
guiLabelSetColor(GUIEditor_Label[6],0,255,0)
guiSetFont(GUIEditor_Label[6],"default-bold-small")
guiEditSetMaxLength(im,6)
guiLabelSetColor(GUIEditor_Label[5],255,0,0)
guiSetFont(GUIEditor_Label[5],"default-bold-small")
gi = guiCreateButton(258,425,271,36,"Выписать штраф",false,wnd)
guiSetEnabled(gi,false)
ex = guiCreateButton(258,463,271,36,"Закрыть панель",false,wnd)
guiSetVisible(wnd,false)
centerWindow(wnd)

bindKey("M","down",
	function ()
			if getElementData(localPlayer,"Police") == true then
				--guiSetVisible(wnd,true)
				showCursor(not isCursorShowing())
				guiSetVisible(wnd,not guiGetVisible(wnd))
				--showCursor(true)
				--guiSetInputEnabled(true)
				putPlayers()
		end
	end
)

function resetINFO()
	guiSetText(n,"Ник: -")
	guiSetText(m,"Деньги: -")
	guiSetText(p,"Пинг: -")
	guiSetText(s,"Серийный: -")
	guiSetText(i,"Сумма выписаных штрафов: -")
	guiSetText(kill,"Убить")
	guiSetText(des,"Наложить арест на авто")
	guiSetText(gi,"Выписать штраф")
	guiSetEnabled(des,false)
	guiSetEnabled(kill,false)
	guiSetEnabled(stop,false)
	guiSetEnabled(cuffs,false)
	guiSetEnabled(gi,false)
	guiSetText(im,"")
end

function putPlayers()
	guiGridListClear(grid)
	for i,player in ipairs(getElementsByType("player")) do
		local row = guiGridListAddRow(grid)
		guiGridListSetItemText(grid,row,1,getPlayerName(player),false,false)
	end
end


addEventHandler("onClientGUIClick",grid,
	function ()
		local sel = guiGridListGetSelectedItem(grid)
		if sel ~= -1 then
			local name = guiGridListGetItemText(grid,sel,1)
			local player = getPlayerFromName(name)
			if player and isElement(player) then
				setINFO(player)
				guiSetText(kill,"Убить " .. name)
				guiSetText(des,"Наложить арест на авто " .. name .. " ")
				guiSetText(gi,"Выписать штраф " .. name .. " ")
				guiSetEnabled(gi,true)
				guiSetEnabled(kill,true)
				guiSetEnabled(stop,true)
				guiSetEnabled(cuffs,true)
				guiSetEnabled(des,true)
				guiSetEnabled(tojail,true)
			else
				outputChatBox("ОШИБКА: Игрок не найден. Обновите список игроков.",255,0,0)
			end
		else
			resetINFO()
		end
	end
,false)

function setINFO(player)
	guiSetText(n,"Ник: " .. getPlayerName(player))
	guiSetText(m,"Деньги: " .. getPlayerMoney(player) .. "$")
	guiSetText(p,"Пинг: " .. getPlayerPing(player))
	guiSetText(i,"Сумма выписаных штрафов: " .. getElementData(localPlayer,"INF").." $")
end

addEventHandler("onClientGUIClick",root,
	function ()
		local sel = guiGridListGetSelectedItem(grid)
		if source == ref then
			putPlayers()
			resetINFO()
		elseif source == kill then
			if sel ~= -1 then
				local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1))
				if player and isElement(player) then
					triggerServerEvent("onKillPlayer",localPlayer,player)
				else
					outputChatBox("ОШИБКА: Игрок не найден. Обновите список игроков.",255,0,0)
				end
			end
		elseif source == des then
			if sel ~= -1 then
				local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1))
				if player and isElement(player) then
					triggerServerEvent("onDestroyPlayer",localPlayer,player)
					guiSetEnabled(source,false)
				else
					outputChatBox("ОШИБКА: Игрок не найден. Обновите список игроков.",255,0,0)
				end
			end
		elseif source == gi then
			if sel ~= -1 then
				local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1))
				if player and isElement(player) then
					local money = guiGetText(im)
					local reason = guiGetText(jailEditBox)
					if money:len() > 0 and tonumber(money) then
						triggerServerEvent("onGiveINF",localPlayer,player,money,reason)
					else
						outputChatBox("ОШИБКА: Вы не ввели сумму штрафа",255,0,0)
					end
				else
					outputChatBox("ОШИБКА: Игрок не найден. Обновите список игроков.",255,0,0)
				end
			end
		elseif source == ex then
			guiSetVisible(wnd,false)
			showCursor(false)
			guiSetInputEnabled(false)
			resetINFO()
		elseif source == cuffs then
		local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1))
		local vehicle = getPedOccupiedVehicle ( player )
		if not (vehicle) then
				if player and isElement(player) then
					local lx,ly,lz = getElementPosition(getLocalPlayer())
					local tx,ty,tz = getElementPosition(player)
					local dist = getDistanceBetweenPoints3D(tx,ty,tz,lx,ly,lz)
					if dist <= 50 then
					setElementFrozen ( player, not isElementFrozen (player))
					block, anim = getPedAnimation(player)
					if block ~= "SHOP" and anim ~= "SHP_Rob_HandsUp" then
						setPedAnimation(player,"SHOP","SHP_Rob_HandsUp",nil,true,true,false,false)
					else
						setPedAnimation(player,false)
					end
						local player2 = getPlayerName(player)
						outputChatBox("На вас надел наручники игрок "..getPlayerName(getLocalPlayer()).." ",player2)
					end 
				else
					outputChatBox("ОШИБКА: Игрок не найден. Обновите список игроков.",255,0,0)
				end
			
		end
		elseif source == stop then
		local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1))
		local player2 = getPlayerName(player)
				if player and isElement(player) then
					triggerServerEvent("onGreeting",getRootElement(),player)
					--outputChatBox(" [Рация ДПС] Водитель прижмитесь к обочине и включите аварийку! ",player2,true) -- ..getPlayerName(getLocalPlayer())
				end
		--[[elseif source == tojail then
			local player = getPlayerFromName(guiGridListGetItemText(grid,sel,1)) --getPlayerFromName(guiGridListGetItemText(grid,sel,1))
			local player2 = getPlayerName(player)
			local jtime = tonumber(guiGetText(tojailtime))
			local reason = tostring(guiGetText(jailreason))
			local pname = getPlayerName(getLocalPlayer())
			outputChatBox(jtime)
			if jtime <=30 then
			outputChatBox("asds")
				triggerServerEvent("gotojail",player2,reason,pname,jtime)
			end]]
		end
	end
)

---
function onbuttonclick ()
if getElementData(source,"tojail")==true then
 local sel = guiGridListGetSelectedItem(grid)
 local player = guiGridListGetItemText (grid,sel,1)
 local reason = guiGetText ( jailreason )
 local jailer = getPlayerName ( getLocalPlayer() )
 local jailtime2 = guiGetText ( tojailtime )
 if sel == -1 then
 outputChatBox("Ошибка: вы не выбрали игрока",255,0,0)
 else
 tght = triggerServerEvent("gotojail",getRootElement(),player,reason,jailer,jailtime2)
 outputChatBox(tostring(tght))
 end
 end
end
addEventHandler("onClientGUIClick", getRootElement(), onbuttonclick)

--

inf_wnd = guiCreateWindow(212,135,397,178,"Панель ДПС by {РП}Тазы-Валят (-Mansory-Club)",false)
guiWindowSetSizable(inf_wnd,false)
yi = guiCreateLabel(9,23,378,25,"Ваши нарушения: -",false,inf_wnd)
guiLabelSetColor(yi,255,0,0)
guiSetFont(yi,"clear-normal")
mmm = guiCreateLabel(8,51,94,27,"Сумма оплаты:",false,inf_wnd)
guiSetFont(mmm,"clear-normal")
guiLabelSetColor(mmm,0,255,0)
mo = guiCreateEdit(115,45,316,33,"",false,inf_wnd)
pa = guiCreateButton(9,90,187,37,"Оплатить все нарушения",false,inf_wnd)
pt = guiCreateButton(201,90,187,37,"Оплатить указаную сумму",false,inf_wnd)
ex1 = guiCreateButton(9,130,379,36,"Закрыть",false,inf_wnd)
centerWindow(inf_wnd)
guiSetVisible(inf_wnd,false)

marker = createMarker(1548.1141357422,-1681.6090087891,12.559161186218,"cylinder",1.5,255,0,0)
createBlipAttachedTo(marker,30)

addEventHandler("onClientMarkerHit",marker,
	function (player)
		if player == localPlayer and not isPedInVehicle(localPlayer) then
			guiSetVisible(inf_wnd,true)
			showCursor(true)
			guiSetInputEnabled(true)
			guiSetText(yi,"Ваши нарушения: " .. getElementData(localPlayer,"INF"))
			guiSetText(mo,"")
		end
	end
,false)

addEventHandler("onClientGUIClick",root,
	function ()
		if source == ex1 then
			guiSetVisible(inf_wnd,false)
			showCursor(false)
			guiSetInputEnabled(false)
		elseif source == pa then
			if tonumber(getElementData(localPlayer,"INF")) == 0 then outputChatBox("ОШИБКА: У вас нет неоплаченных штрафов .",255,0,0) return end
			triggerServerEvent("onPayAll",localPlayer)
			guiSetVisible(inf_wnd,false)
			showCursor(false)
			guiSetInputEnabled(false)
		elseif source == butt1 then
			guiSetVisible(winn,false)
			showCursor(false)
			triggerServerEvent("getauto",getRootElement(),getLocalPlayer(),getElementData(getLocalPlayer(),"currentmarker"))
		elseif source == butt2 then
			guiSetVisible(winn,false)
			showCursor(false)
			
		elseif source == pt then
			local money = guiGetText(mo)
			if money:len() > 0 and tonumber(money) and tonumber(money) ~= 0 then
				if tonumber(money) <= tonumber(getElementData(localPlayer,"INF")) then
					triggerServerEvent("onPayThis",localPlayer,tonumber(money))
					guiSetVisible(inf_wnd,false)
					showCursor(false)
					guiSetInputEnabled(false)
				else
					outputChatBox("ОШИБКА: Вы не указали сумму",255,0,0)
				end
			else
				outputChatBox("ОШИБКА: Вы не указали сумму",255,0,0)
			end
		end
	end
)

winn = guiCreateWindow(542,353,250,110,"",false)
butt1 = guiCreateButton(1,25,240,30,"Забрать авто",false,winn)
butt2 = guiCreateButton(1,65,240,30,"Закрыть",false,winn)
guiSetVisible(winn,false)
function MarkerHit ( hitPlayer, matchingDimension )
	outputChatBox(getElementData(source,"vehicloid"))
	if getElementData(source,"vehicla") == true then
		setElementData(hitPlayer,"currentmarker",source)
		showCursor(true)
		guiSetVisible(winn,true)
	end
end
addEventHandler ( "onClientMarkerHit", getRootElement(), MarkerHit )
